Endpoint Examples

/totals

Get summary metrics on all postings matching the filters.

POST /totals

Query Parameters

NameTypeDescription
area_versionenum

Specify US Area taxonomy version to use.

This parameter is optional.

Default: us_area_2024_4

Must be one of: us_area_2024_3, us_area_2024_4

soc_versionenum

Specify SOC taxonomy version to use.

This parameter is optional.

Default: soc_2021

Must be one of: soc_2021

onet_versionenum

Specify ONET taxonomy version to use.

This parameter is optional.

Default: onet_2019

Must be one of: onet_2019

title_versionenum

Specify Job Title taxonomy version to use.

This parameter is optional.

Default: emsi

Must be one of: emsi

company_versionenum

Specify company taxonomy version to use.

This parameter is optional.

Default: emsi_company

Must be one of: emsi_company

naics_versionenum

Specify NAICS taxonomy version to use.

This parameter is optional.

Default: naics_std_2022

Must be one of: naics_std_2022

new_taxonomy_versionsenum

Use new taxonomy versions.

This parameter is optional.

Must be one of: true, false

area_us_versionenum

Specify US Area taxonomy version to use.

This parameter is optional.

Default: 2.0.0

Must be one of: 1.0.2, 2.0.0

soc_lightcast_versionenum

Specify SOC Lightcast taxonomy version to use.
This parameter is optional.
Default: 2018.2021.0

Must be one of: 2018.2021.0

onet_standard_versionenum

Specify ONET Standard taxonomy version to use.

This parameter is optional.
Default: 2019.0.0

Must be one of: 2019.0.0

lot_versionenum

Specify LOT taxonomy version to use.

This parameter is optional.

Default: 7

Must be one of: 6, 7

Request Body

{
  "filter": {
    "when": {
      "start": "2020-01",
      "end": "2020-12"
    },
    "state_name": [
      "Idaho"
    ],
    "skills_name": [
      "Sales"
    ]
  },
  "metrics": [
    "median_salary",
    "unique_postings"
  ]
}

Coding Examples

curl --request POST \
  --url https://api.lightcast.io/jpa/totals \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2020-01", "end": "2020-12" }, "state_name": [ "Idaho" ], "skills_name": [ "Sales" ] }, "metrics": [ "median_salary", "unique_postings" ] }'

Response Examples

{
  "data": {
    "totals": {
      "median_salary": 57024,
      "unique_postings": 46990
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
//Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}